---@diagnostic disable: missing-return
-------defClass Start-------
---@class ApiManager: LuaClass
ApiManager = nil
---@return ApiManager
function ApiManager.new()
end

---@class AppConfig : LuaClass
AppConfig = nil
---@return AppConfig
function AppConfig.new()
end

---@class AsideLayer : LuaClass
AsideLayer = nil
---@return AsideLayer
function AsideLayer.new(res, data, delegate)
end

---@class AudioCom : LuaClass
AudioCom = nil
---@return AudioCom
function AudioCom.new(ui, titleBgm)
end

---@class AudioRecordConfig : LuaClass
AudioRecordConfig = nil
---@param target? string 目标文本
---@param filename? string 录音文件名
---@param lengthSec? integer 录音的长度，默认60s
---@param wavModel? boolean 是否保存 wav, 默认 false, 也就是 ogg
---@param ignoreVoiceNumber? boolean 是否忽略最后的 voice 分析，默认 false, 也就是分析
---@param frequency? integer 采样率 默认 44100
---@return AudioRecordConfig
function AudioRecordConfig.new(target, filename, lengthSec, wavModel, ignoreVoiceNumber, frequency)
end


---@class DialogUI : UILayer
DialogUI = nil
---@return DialogUI 
function DialogUI.new()
end

---@class AudioRecordTestUI : UILayer
AudioRecordTestUI = nil
---@return AudioRecordTestUI
function AudioRecordTestUI.new()
end

---@class BaseModel : LuaClass
BaseModel = nil
---@return BaseModel
function BaseModel.new()
end

---@class BookCfg : LuaClass
BookCfg = nil
---@return BookCfg
function BookCfg.new(id)
end

---@class BookEntry : LuaClass
BookEntry = nil
---@return BookEntry
function BookEntry.new()
end

---@class BookInfoCfg : LuaClass
BookInfoCfg = nil
---@return BookInfoCfg
function BookInfoCfg.new(id)
end

---@class BookMarkItem : LuaClass
BookMarkItem = nil
---@return BookMarkItem
function BookMarkItem.new(delegate, data, maxPageIndex)
end

---@class BookMarkLayer : UILayer
BookMarkLayer = nil
---@return BookMarkLayer
function BookMarkLayer.new(delegate)
end

---@class BookPageCfg : LuaClass
BookPageCfg = nil
---@return BookPageCfg
function BookPageCfg.new(data, txtCfg, bid, bookCfg)
end

---@class BookReportCfg : LuaClass
BookReportCfg = nil
---@return BookReportCfg
function BookReportCfg.new(id)
end

---@class BookUILayer : UILayer
BookUILayer = nil
---@return BookUILayer
function BookUILayer.new(R)
end

---@class BookVideoLayer : UILayer
BookVideoLayer = nil
---@return BookVideoLayer
function BookVideoLayer.new(R)
end

---@class ConfigAnimPlayCom : SceneComponent
ConfigAnimPlayCom = nil
---@return ConfigAnimPlayCom
function ConfigAnimPlayCom.new(scene)
end

---@class ControlLayer : UILayer
ControlLayer = nil
---@return ControlLayer
function ControlLayer.new()
end

---@class CosLuaBatchUploadTask : LuaClass
CosLuaBatchUploadTask = nil
---@param files {srcPath:string, dstPath:string}[]
---@param serviceType CosLuaServiceType
---@param progressCallback fun(progress:number, batchUploadTask:CosLuaBatchUploadTask)
---@param oneCompleteCallback fun(result:boolean, data:{errorCode:integer, errorMsg:string, srcPath:string}, batchUploadTask:CosLuaBatchUploadTask, uploadTask:CosLuaUploadTask)
---@param completeCallback fun(result:boolean, data:{sucCount:integer, failCount:integer}, batchUploadTask:CosLuaBatchUploadTask)
---@param prepareUrlCallback fun(originFilePath:string, prepareFileUrl:string)
---@return CosLuaBatchUploadTask
function CosLuaBatchUploadTask.new(files, serviceType, progressCallback, oneCompleteCallback, completeCallback, prepareUrlCallback)
end

---@class CosLuaCredentialBean : LuaClass
CosLuaCredentialBean = nil
---comment
---@param storage_type string 存储类型（默认Standard，表示标准存储）
---@param service_type string 业务类型（1-homework 作业业务，99-extension 扩展业务）
---@param allow_prefix string 允许访问的文件前缀
---@param max_file_size integer 最大文件大小（100M）
---@param left string 临时密钥id
---@param right string 临时密钥key
---@param session_token string 临时密钥sessionToken，用于向腾讯云发起请求时携带
---@param start_time integer 密钥起始时间（单位：s）
---@param expired_time integer 密钥过期时间（单位：s）
---@param bucket_name string 存储桶名称
---@param protocol string http协议
---@param region string 存储桶地区
---@param domain string 域名
---@param base_url string 基础 url
---@param server_time_zone string 服务器时区
---@param cos_appid string 对象存储的appid，用于与腾讯云通讯
---@return CosLuaCredentialBean
function CosLuaCredentialBean.new(storage_type, service_type, allow_prefix, max_file_size, left, right, session_token, start_time, expired_time, bucket_name, protocol, region, domain, base_url, server_time_zone, cos_appid)
end

---@class CosLuaTagTask : LuaClass
CosLuaTagTask = nil
---@param cosUrl string cosurl
---@param opt CosLuaTagTaskOpt 操作类型
---@param serviceType CosLuaServiceType 服务类型
---@param completeCallback fun(result:boolean, data:{errorCode:integer, errorMsg:string, tags:table<string,string>}, tagTask:CosLuaTagTask)
---@return CosLuaTagTask
function CosLuaTagTask.new(cosUrl, opt, tags, serviceType, completeCallback)
end

---@class CosLuaUploadTask : LuaClass
CosLuaUploadTask = nil
---@param srcPath string 文件路径
---@param dstPath string 自定义url的文件名，不能为 nil
---@param serviceType CosLuaServiceType 服务类型
---@param progressCallback fun(progress:number, srcPath:string, uploadTask:CosLuaUploadTask)
---@param completeCallback fun(result:boolean, data:{errorCode:integer, errorMsg:string, srcPath:string}, uploadTask:CosLuaUploadTask)
---@param prepareUrlCallback fun(originFilePath:string, prepareFileUrl:string, prepareFileRelativeUrl:string)
---@return CosLuaUploadTask
function CosLuaUploadTask.new(srcPath, dstPath, serviceType, progressCallback, completeCallback, prepareUrlCallback)
end

---@class Env : LuaClass
Env = nil
---@return Env
function Env.new(cfg)
end

---@class EnvDemoConfig: LuaClass
EnvDemoConfig = nil
---@return EnvDemoConfig
function EnvDemoConfig.new()
end

---@class EnvDemoLayer : UILayer
EnvDemoLayer = nil
---@return EnvDemoLayer
function EnvDemoLayer.new(name, config, cb)
end

---@class FadeWriteCom : SceneComponent
FadeWriteCom = nil
---@return FadeWriteCom
function FadeWriteCom.new(scene)
end

---@class FadeWriteUI : UILayer
FadeWriteUI = nil
---@return FadeWriteUI
function FadeWriteUI.new()
end

---@class GameCom : SceneComponent
GameCom = nil
---@return GameCom
function GameCom.new(scene)
end

---@class HandTipCom : SceneComponent
HandTipCom = nil
---@return HandTipCom
function HandTipCom.new(scene)
end

---@class HandTipUI : UILayer
HandTipUI = nil
---@return HandTipUI
function HandTipUI.new(go,type,audioPath)
end

---@class InnerPage : LuaClass
InnerPage = nil
---@return InnerPage
function InnerPage.new(res, delegate, bookId, pageCfg)
end

---@class KeyChar : LuaClass
KeyChar = nil
---@return KeyChar
function KeyChar.new(data, res, parent)
end

---@class KeyWord : LuaClass
KeyWord = nil
---@return KeyWord
function KeyWord.new(word, charRes, wordRes, audioRes, parent)
end

---@class KVDatabase : LuaClass
KVDatabase = nil
---@return KVDatabase
function KVDatabase.new(filePath)
end

---@class KVTable : LuaClass
KVTable = nil
---@return KVTable
function KVTable.new(databaseApis, name)
end

---@class LessonData: LuaClass
LessonData = nil
---@return LessonData
function LessonData.new()
end

---@class LessonH5MsgMgr : LuaClass
LessonH5MsgMgr = nil
---@param com UWebView
---@param onWebviewLoadFinish fun()
---@return LessonH5MsgMgr
function LessonH5MsgMgr.new(com, onWebviewLoadFinish)
end

---@class ModuleResDownloader : LuaClass
ModuleResDownloader = nil
---@return ModuleResDownloader
function ModuleResDownloader.new(moduleIds, ENV_VERSION, isImmediately)
end

---@class MonthStudyContext : LuaClass
MonthStudyContext = nil
---@return MonthStudyContext
function MonthStudyContext.new(id, enterNext)
end

---@class NetDiagnoseConfig : LuaClass
NetDiagnoseConfig = nil
---@param getUidFunc fun(): string
---@param alwaysTraceroute boolean? 总是进行 traceRoute
---@return NetDiagnoseConfig
function NetDiagnoseConfig.new(getUidFunc, alwaysTraceroute)
end

---@class NetDiagnoseLayer : UILayer
NetDiagnoseLayer = nil
---@param config NetDiagnoseConfig
---@return NetDiagnoseLayer
function NetDiagnoseLayer.new(config)
end

---@class NetDiagnoseMgr : LuaClass
NetDiagnoseMgr = nil
---comment
---@param config NetDiagnoseConfig
---@param uiGo CS.UnityEngine.GameObject
---@param outputCb fun(str:string, titleIndex:integer)
---@param finishCb fun()
---@return NetDiagnoseMgr
function NetDiagnoseMgr.new(config, uiGo, outputCb, finishCb)
end

---@class NlpAudioChat: LuaClass
NlpAudioChat = nil
---@return NlpAudioChat
function NlpAudioChat.new(task_id,go)
end

---@class NlpTextChat: LuaClass
NlpTextChat = nil
---@return NlpTextChat
function NlpTextChat.new(task_id)
end

---@class OneSection : LuaClass
OneSection = nil
---@return OneSection
function OneSection.new(res, data, delegate)
end

---@class PoetrySectionInfo : LuaClass
PoetrySectionInfo = nil
---@return PoetrySectionInfo
function PoetrySectionInfo.new(cfg)
end

---@class PoetryStudyContext : LuaClass
PoetryStudyContext = nil
---@return PoetryStudyContext
function PoetryStudyContext.new(id, enterNext, resId, reportEnterLesson)
end

---@class PurchaseResult : LuaClass
PurchaseResult = nil
---@return PurchaseResult
function PurchaseResult.new(param)
end

---@class PYDataManager : LuaClass
PYDataManager = nil
---@return PYDataManager
function PYDataManager.new()
end

---@class ReadReportLayer : UILayer
ReadReportLayer = nil
---@return ReadReportLayer
function ReadReportLayer.new(studyContext)
end

---@class ReadTarget : LuaClass
ReadTarget = nil
---@return ReadTarget
function ReadTarget.new(target, res, parent)
end

---@class ReportKeyChar : LuaClass
ReportKeyChar = nil
---@return ReportKeyChar
function ReportKeyChar.new(char, pinyin, res, parent)
end

---@class ReportKeyWord : LuaClass
ReportKeyWord = nil
---@return ReportKeyWord
function ReportKeyWord.new(word, charRes, wordRes, parent)
end

---@class ReslinkLoad : LuaClass
ReslinkLoad = nil
---@return ReslinkLoad
function ReslinkLoad.new()
end

---@class RuntimeLoader : LuaClass
RuntimeLoader = nil
---@param _msg string[]
---@return RuntimeLoader
function RuntimeLoader.new(_msg)
end

---@class SayMicroCom : SceneComponent
SayMicroCom = nil
---@return SayMicroCom
function SayMicroCom.new(scene)
end

---@class SayMicroUI : UILayer
SayMicroUI = nil
---@return SayMicroUI
function SayMicroUI.new(cb_1, cb_2, cb_3)
end

---@class SayUI : UILayer
SayUI = nil
---@return SayUI
function SayUI.new()
end

---@class Scene : LuaClass
Scene = nil
---@return Scene
function Scene.new(sceneInfo)
end

---@class SceneBaseBuildCom : SceneComponent
SceneBaseBuildCom = nil
---@return SceneBaseBuildCom
function SceneBaseBuildCom.new(scene)
end

---@class SceneComponent : LuaClass
SceneComponent = nil
---@param scene Scene
---@return SceneComponent
function SceneComponent.new(scene)
end

---@class SceneInfo : LuaClass
SceneInfo = nil
---@return SceneInfo
function SceneInfo.new(cfg, args)
end

---@class SceneSwitchCom : SceneComponent
SceneSwitchCom = nil
---@return SceneSwitchCom
function SceneSwitchCom.new()
end

---@class SecretLayer: LuaClass
SecretLayer = nil
---comment
---@param callback fun()
---@param targetPattern? fun():integer[]
---@return SecretLayer
function SecretLayer.new(callback, targetPattern)
end

---@class SectionInfo : LuaClass
SectionInfo = nil
---@return SectionInfo
function SectionInfo.new(cfg)
end

---@class SectionSettlementLayerStep : UILayer
SectionSettlementLayerStep = nil
-- customAnim 指定动画名称
---@return SectionSettlementLayerStep
function SectionSettlementLayerStep.new(resultList, totalRound, customAnim)
end

---@class SectionSettlementLayerV3 : UILayer
SectionSettlementLayerV3 = nil
---@return SectionSettlementLayerV3
function SectionSettlementLayerV3.new(starNum)
end

---@class SettingMgr : LuaStaticClass
SettingMgr = nil
---@return SettingMgr
function SettingMgr.new()
end

---@class SettingModel : SqliteModel
SettingModel = nil
---@return SettingModel
function SettingModel.new()
end

---@class SettingTable : SingleSqliteTable
SettingTable = nil
---@return SettingTable
function SettingTable.new()
end

---@class SingleSqliteTable : SqliteTable
SingleSqliteTable = nil
---@return SingleSqliteTable
function SingleSqliteTable.new()
end

---@class SqliteColumn : LuaClass
SqliteColumn = nil
---@return SqliteColumn
function SqliteColumn.new(table, name, type, defaultValue, isPrimary, isMetadata)
end

---@class SqliteCondition : LuaClass
SqliteCondition = nil
---@return SqliteCondition
function SqliteCondition.new(table)
end

---@class SqliteDatabase : LuaClass
SqliteDatabase = nil
---@return SqliteDatabase
function SqliteDatabase.new(filePath)
end

---@class SqliteFunc : LuaClass
SqliteFunc = nil
---@return SqliteFunc
function SqliteFunc.new(table, type)
end

---@class SqliteModel : BaseModel
SqliteModel = nil
---@return SqliteModel
function SqliteModel.new(table)
end

---@class SqliteQuery : LuaClass
SqliteQuery = nil
---@return SqliteQuery
function SqliteQuery.new(table)
end

---@class SqliteTable : LuaClass
SqliteTable = nil
---@return SqliteTable
function SqliteTable.new(databaseApis, name)
end

---@class StatisticsSqlTable : SqliteTable
StatisticsSqlTable = nil
---@return StatisticsSqlTable
function StatisticsSqlTable.new()
end

---@class StatMissionCom : SceneComponent
StatMissionCom = nil
---@return StatMissionCom
function StatMissionCom.new(scene)
end

---@class StudyContext : LuaClass
StudyContext = nil
---@return StudyContext
function StudyContext.new(id, enterNext, resId, reportEnterLesson)
end

---@class TaskCom : SceneComponent
TaskCom = nil
---@return TaskCom
function TaskCom.new(scene)
end

---@class TestBtnsLayer : UILayer
TestBtnsLayer = nil
---@return TestBtnsLayer
function TestBtnsLayer.new(name, hasBack)
end

---@class TestGame001 : LuaClass
TestGame001 = nil
---@return TestGame001
function TestGame001.new()
end

---@class TestSqlTable : SqliteTable
TestSqlTable = nil
---@return TestSqlTable
function TestSqlTable.new()
end

---@class TitlePage : LuaClass
TitlePage = nil
---@return TitlePage
function TitlePage.new(R, delegate, bookId)
end

---@class ToastUI : UILayer
ToastUI = nil
---@return ToastUI
function ToastUI.new(content, time)
end

---@class TouchClickListener : TouchListener
TouchClickListener = nil
---@return TouchClickListener
function TouchClickListener.new()
end

---@class TouchCom: LuaClass
TouchCom = nil
---@return TouchCom
function TouchCom.new(rootNode, camera)
end

---@class TouchCustomListener : TouchListener
TouchCustomListener = nil
---@return TouchCustomListener
function TouchCustomListener.new()
end

---@class TouchListener : LuaClass
TouchListener = nil
---@return TouchListener
function TouchListener.new(gameObject, touchCom)
end

---@class TransitionLayerSec : UILayer
TransitionLayerSec = nil
---@return TransitionLayerSec
function TransitionLayerSec.new()
end

---@class UIDownload : UILayer
UIDownload = nil
---@param checkUpdateModuleIds? string[] 检查更新的moduleids
---@return UIDownload
function UIDownload.new(moduleIds, onFinish, checkUpdateModuleIds)
end

---@class UIDownload : UILayer
UIDownload = nil
---@return UIDownload
function UIDownload.new(moduleIds, onFinish)
end

---@class UIRoot : LuaClass
UIRoot = nil
---@param go CS.UnityEngine.GameObject
---@param isGlobal boolean
---@param uiMask CS.UnityEngine.GameObject
---@return UIRoot
function UIRoot.new(go, isGlobal, uiMask)
end

---@class UnitTestLayer : UILayer
UnitTestLayer = nil
---@return UnitTestLayer
function UnitTestLayer.new()
end

---@class UnityEmailLoginLayer : UILayer
UnityEmailLoginLayer = nil
---@param onSucc fun(data:{userId:string, ticket:string})
---@return UnityEmailLoginLayer
function UnityEmailLoginLayer.new(defaultEmail, onSucc, onClose)
end

---@class UnityLoginLayer : UILayer
UnityLoginLayer = nil
---@param onSucc fun(data:{userId:string, ticket:string})
---@return UnityLoginLayer
function UnityLoginLayer.new(defaultMobile, onSucc, onClose)
end

---@class UnityNativeLogin: LuaClass
UnityNativeLogin = nil
---@return UnityNativeLogin
function UnityNativeLogin.new()
end

---@class UserModel : SqliteModel
UserModel = nil
---@return UserModel
function UserModel.new()
end

---@class UserTable : SqliteTable
UserTable = nil
---@return UserTable
function UserTable.new()
end

---@class VersionUpdater : LuaClass
VersionUpdater = nil
---@return VersionUpdater
function VersionUpdater.new()
end

---@class VideoUI : UILayer
VideoUI = nil
---@return VideoUI
function VideoUI.new(lockType, lockState, bottomType)
end

---@class WeeklyStudyContext : LuaClass
WeeklyStudyContext = nil
---@return WeeklyStudyContext
function WeeklyStudyContext.new(id, enterNext)
end

-------defClass Finish-------

-------defClassStatic Start-------
---@type ABTestMgr
ABTestMgr = nil

---@type ABUnity
ABUnity = nil

---@type AITalkMgr
AITalkMgr = nil

---@type AITalkConst
AITalkConst = nil

---@type App
App = nil

---@type AppConfigMgr
AppConfigMgr = nil

---@type AppFavourMgr
AppFavourMgr = nil

---@type AppRuntimeDebugger
AppRuntimeDebugger = nil

---@type AppSceneCfg
AppSceneCfg = nil

---@type AppUnitTestEntry
AppUnitTestEntry = nil

---@type AsrMgr
AsrMgr = nil

---@type AudioRecordManager
AudioRecordManager = nil

---@type AudioUtil
AudioUtil = nil

---@type BackendApiManager
BackendApiManager = nil

---@type BackendDataManager
BackendDataManager = nil

---@type BenefitMgr
BenefitMgr = nil

---@type BLEManager
BLEManager = nil

---@type BluetoothLESDK
BluetoothLESDK = nil

---@type BookUtil
BookUtil = nil

---@type BuglySDK
BuglySDK = nil

---@type BulletinMessageMgr
BulletinMessageMgr = nil

---@type ChannelMgr
ChannelMgr = nil

---@type CommonResMgr
CommonResMgr = nil

---@type CommonTestMgr
CommonTestMgr = nil

---@type CosLuaMgr
CosLuaMgr = nil

---@type CosLuaTemporaryCredential
CosLuaTemporaryCredential = nil

---@type CourseConstants
CourseConstants = nil

---@type CourseDataManager
CourseDataManager = nil

---@type CourseReportManager
CourseReportManager = nil

---@type DBConstants
DBConstants = nil

---@type DBMgr
DBMgr = nil

---@type DebugMgr
DebugMgr = nil

---@type Event
Event = nil

---@type HttpUtil
HttpUtil = nil

---@type IHTTSManagerOfNet
IHTTSManagerOfNet = nil

---@type IHTTSSDK
IHTTSSDK = nil

---@type IHumanSDK
IHumanSDK = nil

---@type IHumanSDKExtend
IHumanSDKExtend = nil

---@type IHumanSDKOperation
IHumanSDKOperation = nil

---@type IHumanSDKPlatform
IHumanSDKPlatform = nil

---@type IHumanSDKPurchase
IHumanSDKPurchase = nil

---@type IHumanSDKUnity
IHumanSDKUnity = nil

---@type IHumanSDKUnityTimeUtils
IHumanSDKUnityTimeUtils = nil

---@type IHumanSDKUtil
IHumanSDKUtil = nil

---@type KVConfigMgr
KVConfigMgr = nil

---@type KVMgr
KVMgr = nil

---@type LocalStorageMgr
LocalStorageMgr = nil

---@type LogHelper
LogHelper = nil

---@type LoginMgr
LoginMgr = nil

---@type ModuleResMgr
ModuleResMgr = nil

---@type Msg
Msg = nil

---@type NetworkMgr
NetworkMgr = nil

---@type NlpMgr
NlpMgr = nil

---@type PBConnectionMgr
PBConnectionMgr = nil

---@type PoetrySectionCfg
PoetrySectionCfg = nil

---@type ReloginMgr
ReloginMgr = nil

---@type Res
Res = nil

---@type Rpc
Rpc = nil

---@type RuntimeDebugger
RuntimeDebugger = nil

---@type SceneCfg
SceneCfg = nil

---@type SceneMgr
SceneMgr = nil

---@type SectionCfg
SectionCfg = nil

---@type SessionMgr
SessionMgr = nil

---@type ShareMgr
ShareMgr = nil

---@type SpineUtil
SpineUtil = nil

---@type SqliteMgr
SqliteMgr = nil

---@type SqliteUtil
SqliteUtil = nil

---@type Statistics
Statistics = nil

---@type StatMgr
StatMgr = nil

---@type SyncMgr
SyncMgr = nil

---@type TalkPenManager
TalkPenManager = nil

---@type TimerMgr
TimerMgr = nil

---@type TtsMgr
TtsMgr = nil

---@type uAction
uAction = nil

---@type UILayerUtil
UILayerUtil = nil

---@type UIMgr
UIMgr = nil

---@type UITestHint
UITestHint = nil

---@type UITestLoading
UITestLoading = nil

---@type UITestToast
UITestToast = nil

---@type UnitTestMgr
UnitTestMgr = nil

---@type UnitTestUtil
UnitTestUtil = nil

---@type UserMgr
UserMgr = nil

---@type VideoMgr
VideoMgr = nil

---@type WebResMgr
WebResMgr = nil

-------defClassStatic Finish-------
